# Debug package is empty and rpmlint rejects build
%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Summary:	A stand alone memory test for i386 architecture systems
Name:		memtest86+
Version:	5.01
Release:	1
License:	GPL
Source0:	http://www.memtest.org/download/%{version}/%{name}-%{version}.tar.gz
# The patches are from Fedora and Mageia
Patch0:		memtest86+-5.01-no-scp.patch
Patch1:		memtest86+-5.01-no-optimization.patch
Patch2:		memtest86+-5.01-compile-fix.patch
Patch3:		memtest86+-5.01-crash-fix.patch
Patch4:		memtest86+-5.01-fgnu89-inline.patch
Patch5:		memtest86+-5.01-real-mode-reloc.patch
URL:		http://www.memtest.org
Group:		System/Kernel and hardware
BuildRequires:	dev86
Requires:	initscripts, drakxtools-backend

ExclusiveArch:	%{ix86} x86_64
%rename	memtest86

%description
Memtest86+ is a thorough stand-alone memory test for x86 and x86-64
architecture computers. BIOS based memory tests are only a quick
check and often miss many of the failures that are detected by
Memtest86+.

%prep
%setup -q
%apply_patches

%build
%make

%install
install -m644 memtest.bin -D %{buildroot}/boot/memtest.bin

%post
if [ -x /usr/sbin/bootloader-config ]; then
    /usr/sbin/bootloader-config --action add-entry --label memtest --image /boot/memtest.bin
fi

%preun
if [ -x /usr/sbin/bootloader-config ]; then
    /usr/sbin/bootloader-config --action remove-entry --label memtest
fi

%files
%doc FAQ
/boot/memtest.bin


%changelog

* Thu Feb 18 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 5.01-1
- (3794681) Updated to version 5.01 with additional patches
- (3794681) The change log: http://memtest.org/#change
- (3794681) The patches are from Fedora and Mageia. Unlike these distros, let us not
- (3794681) meddle with ELF version for now. It can be enabed later if needed.


